#include "stdafx.h"
#include <cstdio>
#include "PsExe.h"

using namespace std;

bool OpenPsExeFile(const char* Filename, PSEXE_HEADER* ExeHeader)
{
	unsigned int Filelength;
	FILE* PsFile = fopen(Filename, "rb");
	if(PsFile == NULL)
		return false;

	fseek(PsFile, 0, SEEK_END);
	Filelength = ftell(PsFile);
	fseek(PsFile, 0, SEEK_SET);
	if(Filelength < PsExeHeaderLength)
	{
		fclose(PsFile);
		return false;
	}
	
	fread(ExeHeader, 1, sizeof(PSEXE_HEADER), PsFile);
	fclose(PsFile);

	if(strcmp("PS-X EXE", (const char*)ExeHeader->id) != 0)
		return false;

	return true;
}