#pragma once

const unsigned int MFILEREAD  = 1;
const unsigned int MFILEWRITE = 2;

typedef struct
{
	unsigned int mode;
	size_t off;
	size_t size;
	void* mem;
} MFILE;

MFILE* mopen(size_t memlength, const char* mode);
int mclose(MFILE* stream);
int mseek(MFILE* stream, size_t offset, int origin);
size_t mread(void* buffer, size_t size, size_t count, MFILE* stream);
size_t mwrite(const void* buffer, size_t size, size_t count, MFILE* stream);
size_t mtell(MFILE* stream);
int meof(MFILE* stream);
size_t msize(MFILE* stream);